digiKam Software Collection
Graphics Software
Description:

This page is obsolete. See this one instead :

https://www.linux-apps.com/content/show.php/digiKam+Software+Collection?content=137059

mediaDS

7 years ago

Hi

I compiled the latest version and all went fine - no error messages. It started up, did the database thing, selecting the directory with my images in it. All works fine, except it doesnt show any image at all. I can select the subdirectory in the left tree in the main window but no thumbnails show up in the right window. I cant select anything.

Any idea ?

mediaDS

PS:
see my profile for more informations about my system.

Report

Elv13

7 years ago

Confirmed with a few week old SVN snapshot

Report

Musikolo

7 years ago

Hi,

I wonder why do you release digikam-0.10.0-beta1 after the version 0.10.0? Is this a mistake? Did you mean 0.10.1 or so?

Having a look at http://sourceforge.net/project/showfiles.php?group_id=42641&package_id=34800 one realizes it's the first time something like this happens.

Best regards! :-)

Report

CraigD

7 years ago

...well from looking at the text on the page - this is 1.0 not 0.10 !

Report

Musikolo

7 years ago

Uppps, that's what I call a huge mistake!!

Sorry mate! ;-)

Report

Musikolo

7 years ago

Hi,

I wonder why do you release digikam-0.10.0-beta1 after the version 0.10.0? Is this a mistake? Did you mean 0.10.1 or so?

Having a look at http://sourceforge.net/project/showfiles.php?group_id=42641&package_id=34800 one realizes it's the first time something like this happens.

Best regards! :-)

Report

dgvirtual

8 years ago

I have also successfully compiled kipi plugins and made ubuntu intrepid i386 packages. Find those in the same place as digikam packages: http://dg.lapas.info/share/paketai/ubuntu-intrepid/

Report

dgvirtual

8 years ago

Using the debian experimental sources I have recompiled digikam + showfoto and produced two debs (on Intrepid, kde 4.2.1). Find those here:
http://dg.lapas.info/share/paketai/ubuntu-intrepid/

Caution: I have just done that and opened the program, looks fine, but basically not tested.

Report

jsimek

7 years ago

Hi. Could you please tell me the method of creating digikam deb package? I installed it using cmake && make && make install without any problems, but I would like to know how to create deb package using dh_make and dpkg-buildpackage, so that I can remove it from my system easily in the future.

Report

dgvirtual

7 years ago

Well, in this particular case I had to get the sources from the debian experimental first, so I could create a source directory with a debian/ directory and files inside. I hate creating those myself, though there are tutorials on making debian files on the internet.

So, first you have to download the three files: packagename_and_version.orig.tar.gz , packagename_and_version.dsc , packagename_and_version.diff.gz to one directory

Second, you have to unpack the sources:

dpkg-source -x packagename_and_version.dsc

you will get a valid source directory with debian/ subdirectory, which includes all the necessary information for making of a deb package including all the patches.

then enter the directory
cd packagename_and_version
and then issue command

dpkg-buildpackage -rfakeroot -uc -b

and, in case you have all build dependencies (if not, the program will likely complain and tell you) you will get a package right by the directory where the source archives were.

Report

hosein-mec2

8 years ago

I'm using Kubuntu 8.10 - KDE 4.2 Beta 2

hosein@sonyvaio:~$ digikam -v
Qt: 4.4.3
KDE: 4.1.85 (KDE 4.1.85 (KDE 4.2 Beta2))
digiKam: 0.10.0-beta7


hosein@sonyvaio:~$ digikam
digikam(27767) Phonon::KdePlatformPlugin::createBackend: using backend: "Xine"
Starting to load Plugins.
Files: "anvar_0.3_i386.deb"
Files: "initrd.img"
Files: "initrd.img.old"
Files: "plugin_kafi_0.1_i386.deb"
Files: "plugin_nahjolbalaghe_0.1_i386.deb"
Files: "plugin_sahife_sajadi_0.1_i386.deb"
Files: "vmlinuz"
Files: "vmlinuz.old"
=== MarbleDirs: ===
Local Path: "/home/hosein/.marble/data"
Plugin Local Path: "/home/hosein/.marble/plugins"

Marble Data Path (Run Time) : ""
Marble Data Path (Compile Time): "/usr/share/kde4/apps/marble/data"

Marble Plugin Path (Run Time) : ""
Marble Plugin Path (Compile Time): "/usr/lib/kde4/plugins/marble"

System Path: ""
Plugin System Path: ""
===================
"anvar_0.3_i386.deb" - "/anvar_0.3_i386.deb"
Plugin Failure: "anvar_0.3_i386.deb" is not a valid Marble Plugin:
"The file '/anvar_0.3_i386.deb' is not a valid Qt plugin."
"initrd.img" - "/boot/initrd.img-2.6.27-9-generic"
Plugin Failure: "initrd.img" is not a valid Marble Plugin:
"The file '/boot/initrd.img-2.6.27-9-generic' is not a valid Qt plugin."
"initrd.img.old" - "/boot/initrd.img-2.6.27-7-generic"
Plugin Failure: "initrd.img.old" is not a valid Marble Plugin:
"The file '/boot/initrd.img-2.6.27-7-generic' is not a valid Qt plugin."
"plugin_kafi_0.1_i386.deb" - "/plugin_kafi_0.1_i386.deb"
Plugin Failure: "plugin_kafi_0.1_i386.deb" is not a valid Marble Plugin:
"The file '/plugin_kafi_0.1_i386.deb' is not a valid Qt plugin."
"plugin_nahjolbalaghe_0.1_i386.deb" - "/plugin_nahjolbalaghe_0.1_i386.deb"
Plugin Failure: "plugin_nahjolbalaghe_0.1_i386.deb" is not a valid Marble Plugin:
"The file '/plugin_nahjolbalaghe_0.1_i386.deb' is not a valid Qt plugin."
"plugin_sahife_sajadi_0.1_i386.deb" - "/plugin_sahife_sajadi_0.1_i386.deb"
Plugin Failure: "plugin_sahife_sajadi_0.1_i386.deb" is not a valid Marble Plugin:
"The file '/plugin_sahife_sajadi_0.1_i386.deb' is not a valid Qt plugin."
"vmlinuz" - "/boot/vmlinuz-2.6.27-9-generic"
Plugin Failure: "vmlinuz" is not a valid Marble Plugin:
"The file '/boot/vmlinuz-2.6.27-9-generic' is not a valid Qt plugin."
"vmlinuz.old" - "/boot/vmlinuz-2.6.27-7-generic"
Plugin Failure: "vmlinuz.old" is not a valid Marble Plugin:
"The file '/boot/vmlinuz-2.6.27-7-generic' is not a valid Qt plugin."
cannot open "" for reading
fstat error
mmap error for input
KCrash: Application 'digikam' crashing...
sock_file=/home/hosein/.kde/socket-sonyvaio/kdeinit4__0
cannot open "" for reading
fstat error
mmap error for input
Unable to start Dr. Konqi


I had this problem with beta 6 and now beta 7 ! what's the problem ?

Thanks ...

Report

zbantu

8 years ago

Exactly the same setup over here and exactly the same output. Anyway from kubuntu.org: http://www.kubuntu.org/news/kde-4.2 - read the part about Digikam.

Report

zmikowski

8 years ago

I compiled 0.10.0 (released 2009-03-18) using exactly these instructions on Intrepid 8.10 with KDE 4.2.1 and the app works fine so far:

http://wiki.kde.org/tiki-index.php?page=Digikam+Compilation+on+Kubuntu+Intrepid

The note at the bottom of the Kubuntu post almost certainly refers to their official binaries, which is still from the KDE 3.5.x series.

Report

FriedChicken

8 years ago

Is there anywhere a deb-file I could install?

What packages do I need to comple this on my own? (Kubuntu Hardy or Intrepid)

Report

Elv13

8 years ago

This

http://techbase.kde.org/Getting_Started/Build/KDE4

and liblensfun

Compile them yourself if you have a relatively powerful computer, you will get latest and greatest (if your a KDE4 fan) of KDE.

Report

mdriftmeyer

8 years ago

He's referring to dpkg -build specific scripts to package up a .deb file.

Try this:

http://pkg-kde.alioth.debian.org/experimental_linking.html

Report

jtoegel

9 years ago

Often even more features than Gimp, and very much more accesible!

Report

freeiconsweb

10 years ago

thx

Report

linux3114a

10 years ago

digikamimageplugins-0.9.1rc2-1.lotus.i586.rpm
at
http://home.scarlet.be/raoul.linux/lotus.html

Report

linux3114a

10 years ago

digikamimageplugins-0.9.1rc1-1.lotus.i586.rpm
at
http://home.scarlet.be/raoul.linux/lotus.html

Report

fradeve

10 years ago

Is there any way to scan images in folders, but without COPY the images in the local folder of digikam (in my home)?
I've tons of images, take a lot of space if copied in my local folder to create "albums".
Thanks

Report

linux3114a

10 years ago

digikamimageplugins-0.9.0rc1-lotus.i586.rpm
at
http://home.scarlet.be/raoul.linux/

under DOWNLOAD section ( My SuSE RPM's )

Report

giuped

10 years ago

please up date the obsolate printing wizard!

Report

beroarklinux

10 years ago

We've updated the Ark Linux packages to 0.8.2 -- Ark Linux users simply apt-get install digikamimageplugins, others in need of RPMs can try
http://arklinux.osuosl.org/dockyard-devel/SRPMS/digikamimageplugins-0.8.2-1ark.src.rpm
http://arklinux.osuosl.org/dockyard-devel/i586/digikamimageplugins-0.8.2-1ark.i586.rpm

Report

linux3114a

10 years ago

the HTML gallery has really poor theme.

Why to remove the default theme for Gallery...

Report

Filename Version Description Filetype Packagetype License Downloads Date Filesize Install
Score 91%
91.00 Likes
9 Dislikes
Details
version
1.9.0
updated Jan 31 2017
added Sep 10 2004
downloads
page views 3224